diff -ur sourceold/scripts/jmgBearHunter.cpp source/scripts/jmgBearHunter.cpp
--- sourceold/scripts/jmgBearHunter.cpp	2019-06-22 07:43:44.237400000 +1000
+++ source/scripts/jmgBearHunter.cpp	2019-08-20 10:11:06.805000100 +1000
@@ -49,6 +49,23 @@
 		{
 			Set_Background_Music_Player(obj,JMG_Bear_Hunter_Game_Control::currentSong);
 			Commands->Start_Timer(obj,this,1.0f,6);
+			for (SLNode<SmartGameObj> *current = GameObjManager::SmartGameObjList.Head();current;current = current->Next())
+			{
+				SmartGameObj* o = current->Data();
+				if (o && Is_Script_Attached(o,"JMG_Bear_Hunter_Armored_Car"))
+				{
+					JMG_Bear_Hunter_Armored_Car *script = (JMG_Bear_Hunter_Armored_Car*)Find_Script_On_Object(o,"JMG_Bear_Hunter_Armored_Car");
+					if (!script || script->effectRangeId)
+					{
+						GameObject *effect = Commands->Find_Object(script->effectRangeId);
+						if (effect)
+						{
+							Set_Object_Visibility_For_Player(obj,script->effectRangeId,false);
+							Update_Network_Object_Player(effect,playerId);
+						}
+					}
+				}
+			}
 		}
 	}
 	PlayerData.players[playerId]->displayedKillMessage = false;
@@ -68,9 +85,9 @@
 	clipBullets = 0;
 	if (!PlayerData.players[playerId]->hasGotIntro)
 	{
-		Commands->Start_Timer(obj,this,10.0f,2);
-		Commands->Start_Timer(obj,this,16.0f,3);
-		Commands->Start_Timer(obj,this,22.0f,4);
+		Commands->Start_Timer(obj,this,14.0f,2);
+		Commands->Start_Timer(obj,this,24.0f,3);
+		Commands->Start_Timer(obj,this,34.0f,4);
 		PlayerData.players[playerId]->killsWithoutGettingHurt = 0;
 	}
 	if (PlayerData.players[playerId]->firstJoin)
@@ -142,25 +159,43 @@
 		LastTime = CurrentTime;
 		Vector3 Pos = Commands->Get_Position(obj);
 		if (TimeDiff)
-			JMG_Bear_Hunter_Player_Soldier::speed[playerId] = Commands->Get_Distance(Pos,LastPosition) * (1000.0f/TimeDiff);
+			JMG_Bear_Hunter_Player_Soldier::speed[playerId] = Commands->Get_Distance(Pos,LastPosition)*(1000.0f/TimeDiff);
 		LastPosition = Pos;
+		if (lastDamaged)
+			lastDamaged--;
+		if (armoredCarWeapon.lastFireTime)
+			armoredCarWeapon.lastFireTime--;
 		Commands->Start_Timer(obj,this,0.1f,1);
 	}
 	if (number == 2)
 		switch (JMG_Bear_Hunter_Game_Control::gameState)
 		{
-		case JMG_Bear_Hunter_Game_Control::LeaveBase:case JMG_Bear_Hunter_Game_Control::HuntBears:JmgUtility::DisplayChatMessage(obj,127,127,255,"San Casina Rug Co: Hello, you must be here for the money, as I'm sure you've heard, San Casina Rug Co. is in desperate need for bear rugs, and we are willing to pay 30 dollars a pelt.");return;
-		case JMG_Bear_Hunter_Game_Control::MutationStart:JmgUtility::DisplayChatMessage(obj,127,127,255,"San Casina Rug Co: Hello, I'm sure you came down to make some money killing bears, got some good news for you: a tiberium meteorite hit, and mutated the wildlife, mutant bear pelts are far more valuable, head north and join in the fun!");return;
-		case JMG_Bear_Hunter_Game_Control::FallBack:case JMG_Bear_Hunter_Game_Control::DefendPrez:JmgUtility::DisplayChatMessage(obj,127,127,255,"San Casina Rug Co: Welcome, its a bad time for you to have joined us, a tiberium meteorite hit, and now we're under attack by mutant wildlife, grab a gun and help us defend the President of Corporate America!");return;
-		case JMG_Bear_Hunter_Game_Control::SecureBase:JmgUtility::DisplayChatMessage(obj,127,127,255,"San Casina Rug Co: Greetings, victory is at hand, all we need to do is kill the remaining mutants inside the base!");return;
-		case JMG_Bear_Hunter_Game_Control::BossArrive:JmgUtility::DisplayChatMessage(obj,127,127,255,"San Casina Rug Co: Greetings, Kill the boss and this will be all over!");return;
+		case JMG_Bear_Hunter_Game_Control::LeaveBase:case JMG_Bear_Hunter_Game_Control::HuntBears:
+			JmgUtility::DisplayChatMessage(obj,127,127,255,"Bear Rug Co: Hello, you must be here for the money, as I'm sure you've heard, Bear Rug Co. is in desperate need for bear rugs, and we are willing to pay 30 dollars a pelt.");
+			Create_2D_Wave_Sound_Dialog_Player(obj,"BH1.mp3");return;
+		case JMG_Bear_Hunter_Game_Control::MutationStart:
+			JmgUtility::DisplayChatMessage(obj,127,127,255,"Bear Rug Co: Hello, I'm sure you came down to make some money killing bears, got some good news for you: a tiberium meteorite hit, and mutated the wildlife, mutant bear pelts are far more valuable, head north and join in the fun!");
+			Create_2D_Wave_Sound_Dialog_Player(obj,"BH2.mp3");return;
+		case JMG_Bear_Hunter_Game_Control::FallBack:case JMG_Bear_Hunter_Game_Control::DefendPrez:
+			JmgUtility::DisplayChatMessage(obj,127,127,255,"Bear Rug Co: Welcome, its a bad time for you to have joined us, a tiberium meteorite hit, and now we're under attack by mutant wildlife, grab a gun and help us defend the President of Corporate America!");
+			Create_2D_Wave_Sound_Dialog_Player(obj,"BH3.mp3");return;
+		case JMG_Bear_Hunter_Game_Control::SecureBase:
+			JmgUtility::DisplayChatMessage(obj,127,127,255,"Bear Rug Co: Greetings, victory is at hand, all we need to do is kill the remaining mutants inside the base!");
+			Create_2D_Wave_Sound_Dialog_Player(obj,"BH4.mp3");return;
+		case JMG_Bear_Hunter_Game_Control::BossArrive:
+			JmgUtility::DisplayChatMessage(obj,127,127,255,"Bear Rug Co: Greetings, Kill the boss and this will be all over!");
+			Create_2D_Wave_Sound_Dialog_Player(obj,"BH5.mp3");return;
 		}
 	if (number == 3)
-		JmgUtility::DisplayChatMessage(obj,127,127,255,"San Casina Rug Co: Feel free to buy weapons at your nearest PCT, and once your ready, head north into the swamp and start making some money!");
+	{
+		JmgUtility::DisplayChatMessage(obj,127,127,255,"Bear Rug Co: Feel free to buy weapons at your nearest PCT, and once your ready, head north into the swamp and start making some money!");
+		Create_2D_Wave_Sound_Dialog_Player(obj,"BH6.mp3");
+	}
 	if (number == 4)
 	{
 		PlayerData.players[playerId]->hasGotIntro = true;
-		JmgUtility::DisplayChatMessage(obj,127,127,255,"San Casina Rug Co: Oh, and as a tempory promotion, we are giving out an extra $50.00 every time someone kills 10 in a row without getting hurt! And we'll give out $1,000.00 to anyone that can kill 250!");
+		JmgUtility::DisplayChatMessage(obj,127,127,255,"Bear Rug Co: Oh, and as a tempory promotion, we are giving out an extra $50.00 every time someone kills 10 in a row without getting hurt! And we'll give out $1,000.00 to anyone that can kill 250!");
+		Create_2D_Wave_Sound_Dialog_Player(obj,"BH7.mp3");
 	}
 	if (number == 5)
 	{
@@ -199,7 +234,10 @@
 void JMG_Bear_Hunter_Player_Soldier::Damaged(GameObject *obj,GameObject *damager,float damage)
 {
 	if (damage > 0)
+	{
+		lastDamaged = 150;
 		PlayerData.players[playerId]->killsWithoutGettingHurt = 0;
+	}
 }
 void JMG_Bear_Hunter_Player_Soldier::Killed(GameObject *obj,GameObject *killer)
 {
@@ -209,8 +247,6 @@
 		PlayerData.players[playerId]->deaths++;
 		scoreNode->Deaths++;
 	}
-	if (playerId && !JMG_Bear_Hunter_Game_Control::remainingLives[playerId])
-		JMG_Bear_Hunter_Game_Control::playerAlive[playerId] = false;
 	char deathMsg[500];
 	unsigned int killerWarheadId = Get_Damage_Warhead();
 	if (!killer)
@@ -251,6 +287,8 @@
 }
 void JMG_Bear_Hunter_Player_Soldier::Destroyed(GameObject *obj)
 {
+	if (playerId && !JMG_Bear_Hunter_Game_Control::remainingLives[playerId])
+		JMG_Bear_Hunter_Game_Control::playerAlive[playerId] = false;
 	if (!PlayerData.players[playerId])
 		return;
 	PlayerData.players[playerId]->destroyTime = clock();
@@ -425,6 +463,7 @@
 }
 void JMG_Bear_Hunter_Game_Control::Created(GameObject *obj)
 {
+	bonusObjectiveCount = 0;
 	hasBeenInjured = false;
 	spawnKarma = 0;
 	smoothFade = false;
@@ -446,6 +485,7 @@
 		aiIgnorePlayers[x] = 0;
 		remainingLives[x] = 0;
 		playerAlive[x] = true;
+		wanderingAiIgnorePlayers[x] = 0;
 	}
 	bossRabitDead = 0;
 	bearTransition = 0;
@@ -501,6 +541,9 @@
 		engineerSpawnedOnce[x] = false;
 	}
 	engineerScanTime = 0;
+	for (int x = 0;x < 8;x++)
+		wildMountainLionIds[x] = 0;
+	wildMountainLionsPet = 0;
 	for (int x = 0;x < 6;x++)
 	{
 		weaponsFound[x] = false;
@@ -538,14 +581,23 @@
 	Commands->Attach_Script(obj,"JMG_Bear_Hunter_Wolf_Pack_Definition","3,Wild_Wolf_Twiddler,3,-400.0 230.0 -0.11,50.0,120,30,60.0,15.0,1.5,1");
 	Commands->Attach_Script(obj,"JMG_Bear_Hunter_Wolf_Pack_Controller","");
 	Commands->Attach_Script(obj,"JMG_Utility_Dynamic_Clock_Control","");
+	Commands->Attach_Script(obj,"JMG_Bear_Hunter_Armored_Car_Controller","");
+	Commands->Attach_Script(obj,"JMG_Utility_Basic_Spawner_In_Radius","Skittish_Animal_Wander_Point,0.1,0.0,500,0.0,450.0,0.0,500.0,0.0 0.0 -1000.0,1.0,1.0,1,5,0.25,-1,-1,-1,1,1,0.0 0.0 1.0,0.0,1,5.0,1,0,0,0.0 0.0 0.0,-1,0.0");
 }
 void JMG_Bear_Hunter_Game_Control::Timer_Expired(GameObject *obj,int number)
 {
 	if (number == 1)
 	{
 		for (int x = 0;x < 128;x++)
+		{
 			if (aiIgnorePlayers[x] > 0)
 				aiIgnorePlayers[x]--;
+			if (wanderingAiIgnorePlayers[x])
+				wanderingAiIgnorePlayers[x]--;
+			GameObject *player = Get_GameObj(x);
+			if (player && !Is_Script_Attached(player,"JMG_Rp2_Dedicated_Server_Sound_Emulator"))
+			Commands->Attach_Script(player,"JMG_Rp2_Dedicated_Server_Sound_Emulator","");
+		}
 		bearHunterScoreSystem.IncreasePlayerTimeScores();
 		if (The_Game()->Is_Game_Over())
 		{
@@ -594,21 +646,6 @@
 			for (int x = 0;x < 5;x++)
 				Commands->Create_Sound("Mission_Failed",Commands->Get_Position(obj),obj);
 		}
-		if (JMG_Bear_Hunter_Game_Control::gameState == JMG_Bear_Hunter_Game_Control::BossArrive && !playersDead)
-		{
-			bool playersAlive = false;
-			for (int x = 0;x < 128;x++)
-			{
-				GameObject *player = Get_GameObj(x);
-				if (!player || Get_Player_Type(player) == -4)
-					continue;
-				if (!playerAlive[x])
-					continue;
-				playersAlive = true;
-			}
-			if (!playersAlive)
-				playersDead = true;
-		}
 		if (bossRabitDead)
 		{
 			bossRabitDead--;
@@ -679,15 +716,16 @@
 					Commands->Set_Objective_HUD_Info_Position(3,2,"POGCabin.tga",7387,Vector3(15.593f,-93.453f,-0.166f));
 					if (NewObjectiveSystemControl.Get_Objective_Status(13) == NewObjectiveSystem::NotDefined)
 					{
-						JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: There is an alert system placed at the cabin, activating it would defintly attact attention of the bears.");
+						JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: There is an alert system placed at the cabin, activating it would defintly attract attention of the bears.");
 						NewObjectiveSystemControl.Add_Objective(13,NewObjectiveSystem::Secondary,NewObjectiveSystem::Pending,12739,"",12739);
+						JmgUtility::Create_2D_Wave_Sound_Dialog("BH8.mp3");
 					}
 				} 
 				if (!atCabin)
 				{
 					if (gameState < MutationStart && !alarmSwitchActive)
 					{
-						sprintf(currentSong,"SpecForce_Sneak_02.mp3");//04-ambient industrial
+						sprintf(currentSong,"SpecForce_Sneak_02.mp3");
 						Commands->Fade_Background_Music("SpecForce_Sneak_02.mp3",5000,5000);
 					}
 					NewObjectiveSystemControl.Set_Objective_Mission(11,12729,12729);
@@ -697,7 +735,8 @@
 		if (JMG_Bear_Hunter_Player_Assist_AI::maxWait > 0)
 			JMG_Bear_Hunter_Player_Assist_AI::maxWait--;
 		for (int x = 0;x < 6;x++)
-			randomSelectableSpawnPoints[x].DecreaseValue();
+			if (x != 4)
+				randomSelectableSpawnPoints[x].DecreaseValue();
 		for (int x = 0;x < 2;x++)
 			if (easTowers[x].activeTime)
 			{
@@ -754,6 +793,7 @@
 						if (!player || Get_Player_Type(player) == -4 || JmgUtility::SimpleDistance(Commands->Get_Position(switchObj),Commands->Get_Position(player)) >= 22500)
 							continue;
 						JmgUtility::DisplayChatMessage(player,127,127,255,"Bear Rug Co: Great work holding those bears off, here is a small bonus!");
+						Create_2D_Wave_Sound_Dialog_Player(player,"BH9.mp3");
 						Commands->Give_Money(player,250.0f,0);
 						BearHunterScoreSystem::BHScoreNode *node = bearHunterScoreSystem.Get_Current_Player_Score_Node(x);
 						if (node)
@@ -783,6 +823,7 @@
 				JMG_Bear_Hunter_Player_Assist_AI::maxWait = 0;
 				NewObjectiveSystemControl.Set_Objective_Status(1,NewObjectiveSystem::Accomplished);
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: We need more rugs, get out there and kill us some bears!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH10.mp3");
 				NewObjectiveSystemControl.Add_Objective(2,NewObjectiveSystem::Primary,NewObjectiveSystem::Pending,12694,"",12694);
 				sprintf(currentSong,"SpecForce_Sneak_02.mp3");
 				Commands->Fade_Background_Music("SpecForce_Sneak_02.mp3",10000,10000);
@@ -790,6 +831,31 @@
 				JmgUtility::SetHUDHelpText(objective,Vector3(0,1,0));
 				Commands->Set_Objective_HUD_Info_Position(2,1,"PogBear.tga",12700,Vector3(15.593f,-93.453f,-0.166f));
 				Commands->Start_Timer(obj,this,0.1f,16);
+				for (int x = 0;x < 8;x++)
+				{
+					Rp2SimplePositionSystem::SimplePositionNode *node = JMG_Wandering_AI_Controller::wanderPoints.GetRandomFromGroup(256);
+					if (!node)
+						continue;
+					GameObject *mlion = Commands->Create_Object("Normal_Mountain_Lion_Twiddler",node->position);
+					Vector3 pos = node->position;
+					MoveablePhysClass *mphys = mlion->As_PhysicalGameObj() ? mlion->As_PhysicalGameObj()->Peek_Physical_Object()->As_MoveablePhysClass() : NULL;
+					if (mphys)
+						mphys->Find_Teleport_Location(pos,2.0f,&pos);
+					Commands->Enable_HUD_Pokable_Indicator(mlion,true);
+					Commands->Set_Position(mlion,pos);
+					mlion->As_SoldierGameObj()->Set_Override_Muzzle_Direction(true);
+					char params[256];
+					sprintf(params,"%d,268427,0,0.0,1",Commands->Get_ID(obj));
+					Commands->Attach_Script(mlion,"JMG_Utility_Player_Seen_Send_Custom",params);
+					sprintf(params,"%d,2684270,%d,0.0,1,2",Commands->Get_ID(obj),x);
+					Commands->Attach_Script(mlion,"JMG_Utility_Poke_Send_Custom_From_Poker",params);
+					Commands->Attach_Script(mlion,"JMG_Utility_AI_Guardian_Infantry","256,0.15,-1,1,0,0");
+					sprintf(params,"%d,268427,1,0.0",Commands->Get_ID(obj));
+					Commands->Attach_Script(mlion,"JMG_Utility_Destroy_Send_Custom",params);
+					Commands->Attach_Script(mlion,"JMG_Utility_Killed_Send_Custom_From_Killer",params);
+					Attach_Script_Once(mlion,"JMG_Security_Camera_Behavior_Ignore","");
+					wildMountainLionIds[x] = Commands->Get_ID(mlion);
+				}
 				return;
 			}
 		}
@@ -807,34 +873,46 @@
 			if (gameTime == 1780)
 			{
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: There is a little cabin up north with some supplies, if you head up there you'll have easy hunting.");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH11.mp3");
 				NewObjectiveSystemControl.Add_Objective(11,NewObjectiveSystem::Secondary,NewObjectiveSystem::Pending,12729,"",12729,Vector3(15.593f,-93.453f,-0.166f));
 			}
 			if (gameTime == 1770)
 			{
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Oh also, we'll pay everyone big bucks if you can deliver the turret supplies from the warehouse to the North East.");
-				NewObjectiveSystemControl.Add_Objective(9,NewObjectiveSystem::Tertiary,NewObjectiveSystem::Pending,12727,"",12727,Vector3(434.101f,539.071f,1.142f));
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: 3 Pump Jacks have fallen into disrepair in the East, repair them for additional profit.");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH12.mp3");
+				IncreaseBonusObjectiveCount(17);
+				NewObjectiveSystemControl.Add_Objective(17,NewObjectiveSystem::Bonus,NewObjectiveSystem::Pending,12748,"",12748,bonusObjectiveCount);
 			}
 			if (gameTime == 1760)
 			{
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: One last thing, we had a helicopter go down in the swamp to the North West there are 5 surviving engineers that could use an escort back to base; we will of course pay for their safe return.");
-				NewObjectiveSystemControl.Add_Objective(15,NewObjectiveSystem::Bonus,NewObjectiveSystem::Pending,12741,"",12741,3);
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: 7 of our oil rigs to the north have gone off-line, if you head up there and activate them we'll give you a cut of the profits.");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH13.mp3");
+				IncreaseBonusObjectiveCount(16);
+				NewObjectiveSystemControl.Add_Objective(16,NewObjectiveSystem::Bonus,NewObjectiveSystem::Pending,12758,"",12758,bonusObjectiveCount);
 			}
 			if (gameTime == 1730)
 			{
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: 7 of our oil rigs to the north have gone off-line, if you head up there and activate them we'll give you a cut of the profits.");
-				NewObjectiveSystemControl.Add_Objective(16,NewObjectiveSystem::Bonus,NewObjectiveSystem::Pending,12758,"",12758,4);
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Oh also, we'll pay everyone big bucks if you can deliver the turret supplies from the warehouse in the North East.");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH14.mp3");
+				NewObjectiveSystemControl.Add_Objective(9,NewObjectiveSystem::Tertiary,NewObjectiveSystem::Pending,12727,"",12727,Vector3(434.101f,539.071f,1.142f));
 			}
 			if (gameTime == 1700)
 			{
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: 3 other Pump Jacks have fallen into disrepair in the East, repair them for additional profit.");
-				NewObjectiveSystemControl.Add_Objective(17,NewObjectiveSystem::Bonus,NewObjectiveSystem::Pending,12748,"",12748,5);
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: One last thing, we had a helicopter go down in the swamp to the North West there are 5 surviving engineers that could use an escort back to base; we will of course pay for their safe return.");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH15.mp3");
+				IncreaseBonusObjectiveCount(15);
+				NewObjectiveSystemControl.Add_Objective(15,NewObjectiveSystem::Bonus,NewObjectiveSystem::Pending,12741,"",12741,bonusObjectiveCount);
 			}
 			if (gameTime == 1500)
+			{
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Half way there, you guys better get those bears while you can, because they won't be worth much when we hit our quota!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH16.mp3");
+			}
 			if (gameTime == 1196)
 			{
 				gameState = MutationStart;
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Wow! Was that a Tiberium meteorite that just hit?");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH17.mp3");
 				BearHunterWolfHivemindSystem::BearHunterWolfHivemindNode *node = bearHunterWolfHivemindControl.find(2);
 				if (node)
 					node->maxPackSize = 5;
@@ -881,6 +959,7 @@
 					{
 						char successMsg[220];
 						sprintf(successMsg,"Bear Rug Co: There are %d inactive pumpjacks to the North that survied that meteor impact, hurry up and activate them.",inactivePumpjackCount);
+						JmgUtility::Create_2D_Wave_Sound_Dialog("BH18.mp3");
 						JmgUtility::MessageAllPlayers(127,127,255,successMsg);
 						unsigned int textId = (7-inactivePumpjackCount == 1) ? 12752 : (7-inactivePumpjackCount == 2) ? 12753 : (7-inactivePumpjackCount == 3) ? 12754 : (7-inactivePumpjackCount == 4) ? 12755 : 12756;
 						NewObjectiveSystemControl.Set_Objective_Mission(16,textId,textId);
@@ -888,16 +967,23 @@
 					if (!livingPumpjacks)
 					{
 						if (!inactivePumpjackCount)
+						{
 							JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: All of the pump jacks to the North were destroyed by that meteor, guess we should have repaired them!");
+							JmgUtility::Create_2D_Wave_Sound_Dialog("BH19.mp3");
+						}
 						else
+						{
 							JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Looks like that meteor impact also wiped out all the pumpjacks to the North!");
+							JmgUtility::Create_2D_Wave_Sound_Dialog("BH20.mp3");
+						}
 						NewObjectiveSystemControl.Set_Objective_Status(16,NewObjectiveSystem::Failed);
 					}
 				}
 			}
 			if (gameTime == 1180)
 			{
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Looks like it was, and mutation has already spread to the local bears, I bet those pelts would be worth way more than a normal bears'... You should head north, there is a little house with supplies.");
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Looks like it was, and mutation has already spread to the local bears, I bet those pelts would be worth way more than a normal bears'... You should head North, there is a little house with supplies.");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH21.mp3");
 				objective = 12696;
 				JmgUtility::SetHUDHelpText(objective,Vector3(0,1,0));
 				NewObjectiveSystemControl.Set_Objective_Status(2,NewObjectiveSystem::Accomplished);
@@ -916,6 +1002,7 @@
 				if (node)
 					node->maxPackSize = 0;
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Local deer have begun to show effects of mutation, we're locking the base down for the President of Corporate America's safety!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH22.mp3");
 				Commands->Static_Anim_Phys_Goto_Last_Frame(650184,"BH_GATE_1.BH_GATE_1");
 				Commands->Static_Anim_Phys_Goto_Last_Frame(650183,"BH_GATE_1.BH_GATE_1");
 				Commands->Static_Anim_Phys_Goto_Last_Frame(650190,"BH_GATE_1.BH_GATE_1");
@@ -924,6 +1011,7 @@
 			if (gameTime == 875)
 			{
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Shit! Looks like there has been a failure in the gate control mainframe, fall back and defend the President of Corporate America!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH23.mp3");
 				sprintf(currentSong,"SpecForce_Moments02.mp3");
 				Commands->Fade_Background_Music("SpecForce_Moments02.mp3",10000,10000);
 				objective = 12697;
@@ -939,7 +1027,10 @@
 					NewObjectiveSystemControl.Set_Objective_Status(13,NewObjectiveSystem::Failed);
 			}
 			if (gameTime == 835 && !JMG_Bear_Hunter_Game_Control::hasGotTurrets && NewObjectiveSystemControl.Get_Objective_Status(10) == NewObjectiveSystem::Pending)
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Our engineers report if the truck isn't back in the next 60 seconds they won't be able to get them set up!");
+			{
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Our engineers report if the truck isn't back in the next minute they won't be able to get them set up!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH24.mp3");
+			}
 			if (gameTime == 775)
 			{
 				gameState = FallBack;
@@ -950,10 +1041,12 @@
 					{
 						truckTimeExtended = true;
 						JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: We see the truck is getting close, the engineers are going to give you another 45 seconds! Everyone else fall back to base!");
+						JmgUtility::Create_2D_Wave_Sound_Dialog("BH25.mp3");
 					}
 					else
 					{
 						JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Forget about the turret parts there isn't enough time! Fall back to base!");
+						JmgUtility::Create_2D_Wave_Sound_Dialog("BH26.mp3");
 						if (NewObjectiveSystemControl.Get_Objective_Status(10) != NewObjectiveSystem::Accomplished)
 						{
 							NewObjectiveSystemControl.Remove_Objective(9);
@@ -961,7 +1054,10 @@
 						}
 					}
 				else
+				{
 					JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Everyone fall back to base!");
+					JmgUtility::Create_2D_Wave_Sound_Dialog("BH27.mp3");
+				}
 				Commands->Enable_Spawner(600536,false);
 				if (NewObjectiveSystemControl.Get_Objective_Status(14) == NewObjectiveSystem::Pending)
 					NewObjectiveSystemControl.Remove_Objective(14);
@@ -972,13 +1068,17 @@
 			{
 				Vector3 truckPos;
 				if (NewObjectiveSystemControl.Get_Objective_Status(10) == NewObjectiveSystem::Pending && NewObjectiveSystemControl.Get_Radar_Blip_Position(10,&truckPos) && JmgUtility::SimpleFlatDistance(JMG_Bear_Hunter_Game_Control::centerOfBase,truckPos) <= 10000)
+				{
 					JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: We're giving you another 15 seconds to get those turret parts inside DERP Industries beings your so close!");
+					JmgUtility::Create_2D_Wave_Sound_Dialog("BH28.mp3");
+				}
 				else
 				{
 					truckTimeExtended = false;
 					if (NewObjectiveSystemControl.Get_Objective_Status(10) != NewObjectiveSystem::Accomplished)
 					{
 						JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: We need all the engineers back to work on the gates, there is no more time for the turret parts!");
+						JmgUtility::Create_2D_Wave_Sound_Dialog("BH29.mp3");
 						NewObjectiveSystemControl.Remove_Objective(9);
 						NewObjectiveSystemControl.Remove_Objective(10);
 					}
@@ -990,22 +1090,26 @@
 				if (NewObjectiveSystemControl.Get_Objective_Status(10) != NewObjectiveSystem::Accomplished)
 				{
 					JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Forget the turret parts and fall back to base, there isn't any more time to set them up!");
+					JmgUtility::Create_2D_Wave_Sound_Dialog("BH30.mp3");
 					NewObjectiveSystemControl.Remove_Objective(9);
 					NewObjectiveSystemControl.Remove_Objective(10);
 				}
 			}
 			if (gameTime == 700)
 			{
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: This could get pretty intense, if you have a chance try to head west, you will find a radio tower, if you can activate it we can call for backup.");
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: This could get pretty intense, if you have a chance try to head West, you will find a radio tower, if you can activate it we can call for backup.");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH31.mp3");
 				NewObjectiveSystemControl.Add_Objective(21,NewObjectiveSystem::Secondary,NewObjectiveSystem::Pending,12789,"",12789,Vector3(-512.0f,-270.705f,76.11f));
 			}
 			if (gameTime == 624)
 			{
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Watch your backs, there are mutant dogs out there now!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH32.mp3");
 			}
 			if (gameTime == 400 && objective != 12698)
 			{
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Mutant squirrels incoming, this is just getting to be too much, fall back and defend the President of Corporate America!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH33.mp3");
 				NewObjectiveSystemControl.Remove_Objective(5);
 				JmgUtility::SetHUDHelpText(objective,Vector3(0,1,0));
 				objective = 12698;
@@ -1018,6 +1122,7 @@
 			if (gameTime == 320)
 			{
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Looks like cats are infected now too, I think I'll just be leaving...");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH34.mp3");
 				sprintf(currentSong,"304824_Goliath__Club_Remix_.mp3");
 				Commands->Fade_Background_Music("304824_Goliath__Club_Remix_.mp3",10000,10000);
 			}
@@ -1030,19 +1135,31 @@
 			if (gameTime == 240)
 			{
 				if (NewObjectiveSystemControl.Get_Objective_Status(21) == NewObjectiveSystem::Pending && NewObjectiveSystemControl.Get_Mission_Text_Id(21) != 12790)
-					JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The gate will be back on-line in the next 4 minutes, if you can get the signal sent within the next minute don't bother!");
+				{
+					JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: The gate will be back on-line in the next 4 minutes, if you can't get the signal sent within the next minute don't bother!");
+					JmgUtility::Create_2D_Wave_Sound_Dialog("BH35.mp3");
+				}
 				gameState = DefendPrez;
 			}
 			if (gameTime == 180)
 			{
 				if (NewObjectiveSystemControl.Get_Objective_Status(21) == NewObjectiveSystem::Pending && NewObjectiveSystemControl.Get_Mission_Text_Id(21) != 12790)
 				{
-					JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Forget about the communications tower, there isn't enough time anymore focus all resources on defending the president!");
+					JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Forget about the communications tower, there isn't enough time anymore; focus all resources on defending the president!");
+					JmgUtility::Create_2D_Wave_Sound_Dialog("BH36.mp3");
 					NewObjectiveSystemControl.Remove_Objective(21);
 				}
 			}
 			if (gameTime == 150)
-				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Oh god, is that a moose? What are they doing out here… Never mind, defend the President of Corperate America!");
+			{
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Oh god, is that a moose? What are they doing out here... Never mind, defend the President of Corperate America!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH37.mp3");
+			}
+			if (gameTime == 60)
+			{
+				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: And... Here comes the cougars... looks like everything is going straight for the President of Corperate America!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH38.mp3");
+			}
 			if ((gameTime == 600 || gameTime == 300) || (!(gameTime % 60) && gameTime > 0 && gameTime < 300))
 			{
 				char timeMsg[220];
@@ -1064,6 +1181,7 @@
 			if (gameTime == 0)
 			{
 				JmgUtility::MessageAllPlayers(127,127,255,"Bear Rug Co: Mainframe back on-line, gates are closing!");
+				JmgUtility::Create_2D_Wave_Sound_Dialog("BH39.mp3");
 				Commands->Static_Anim_Phys_Goto_Last_Frame(650185,"BH_GATE_1.BH_GATE_1");
 				Commands->Static_Anim_Phys_Goto_Last_Frame(650186,"BH_GATE_1.BH_GATE_1");
 				Commands->Static_Anim_Phys_Goto_Last_Frame(650187,"BH_GATE_1.BH_GATE_1");
@@ -1084,13 +1202,21 @@
 			int normalBears = (int)(!bearTransition ? maxTotalEnemies : (bearTransition == 100 ? 0 : maxTotalEnemies*(1-bearTransition/100.0f)));
 			if ((int)(normalBears * 0.25f) > JMG_Bear_Hunter_AI_Avoid_Enemies::wildAnimalCount)
 			{
+				bool deer = Commands->Get_Random(0.0f,1.0f) < 0.5f;
 				Vector3 pos = BearHunterGameControlSystem.LookupNearestPosition(Vector2(Commands->Get_Random(-500.0f,500.0f),Commands->Get_Random(-350.0f,500.0f)));
-				GameObject *ai = Commands->Get_Random(0.0f,1.0f) < 0.5f ? Commands->Create_Object("Normal_Squirrel_Twiddler",pos) : Commands->Create_Object("Normal_Buck_Twiddler",pos);
+				GameObject *ai = deer ? Commands->Create_Object("Normal_Buck_Twiddler",pos) : Commands->Create_Object("Normal_Squirrel_Twiddler",pos);
 				Commands->Set_Facing(ai,Commands->Get_Random(-180,180));
 				MoveablePhysClass *mphys = ai->As_PhysicalGameObj() ? ai->As_PhysicalGameObj()->Peek_Physical_Object()->As_MoveablePhysClass() : NULL;
 				if (mphys)
 					mphys->Find_Teleport_Location(pos,2.0f,&pos);
-				Attach_Script_Once(ai,"JMG_Bear_Hunter_AI_Avoid_Enemies","");
+				Commands->Set_Position(ai,pos);
+				if (deer)
+				{
+					Attach_Script_Once(ai,"JMG_Utility_AI_Skittish_Herd_Animal","0,4,511,25.0,30.0,50.0,200.0,6.0,24.0,10.0,25.0,0.1,0.125");
+					Commands->Set_Model(ai,Commands->Get_Random(0.0f,1.0f) < 0.25f ? "BUCK_" : "DOE_");
+				}
+				else
+					Attach_Script_Once(ai,"JMG_Bear_Hunter_AI_Avoid_Enemies","");
 				Attach_Script_Once(ai,"JMG_Security_Camera_Behavior_Ignore","");
 			}
 			if (!normalBears && JMG_Bear_Hunter_AI_Avoid_Enemies::wildAnimalCount)
@@ -1114,6 +1240,7 @@
 				pos.Z += 0.1f;
 				Commands->Set_Position(ai,pos);
 				Commands->Set_Loiters_Allowed(ai,true);
+				ai->As_SoldierGameObj()->Set_Override_Muzzle_Direction(true);
 				bearObjectListControl += ai;
 				Attach_Script_Once(ai,"JMG_Rp2_Hostile_Mutant_AI","");
 				Attach_Script_Once(ai,"JMG_Bear_Hunter_Bear_Tracker","");
@@ -1142,6 +1269,7 @@
 								mphys->Find_Teleport_Location(playerPos,1.5f,&playerPos);
 								Commands->Set_Position(tinyDeer,playerPos);
 							}
+							tinyDeer->As_SoldierGameObj()->Set_Override_Muzzle_Direction(true);
 							Commands->Attach_Script(tinyDeer,"JMG_Utility_AI_Goto_Player","-1.0,1.0,1.0,0.0,0,1.0,-1.0,0.0,0,1.0,-1,1.0,1,0,0.0");
 							Commands->Attach_Script(tinyDeer,"JMG_Bear_Hunter_Kill_Score_Tracker","");
 							JMG_Bear_Hunter_Golden_Deer_Statue::tinyDeerIds[x] = Commands->Get_ID(tinyDeer);
